Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ID_Pool Class Template Reference

ID_Pool. More...

`#include <Notify_ID_Pool_T.h>`

Inheritance diagram for TAO_Notify_ID_Pool:

[legend]
Collaboration diagram for TAO_Notify_ID_Pool:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ID_Pool (void)
| Constructor. More...
| ~TAO_Notify_ID_Pool ()
| Destructor. More...
ID_TYPE | get (void)
| Returns the current id. More...
void | put (ID_TYPE id)
| Return the id back. More...
void | next (void)
| The current id is moved to the active_list_. More...
## Protected Attributes
ID_TYPE | id_
| The next available id. More...
ACE_Unbounded_Set< ID_TYPE > | active_list_
| List of ids currently in use by clients of this class. More...

## Detailed Description

### template<class ID_TYPE>
class TAO_Notify_ID_Pool< ID_TYPE >

ID_Pool.

This class is used by factories that need to associate id's with the objects that they create. The very first id generated is always 0.The condition is necessary to support ids for default objects that require an id of 0.

## Constructor & Destructor Documentation

template<class ID_TYPE>
TAO_Notify_ID_Pool< ID_TYPE >::TAO_Notify_ID_Pool | ( | void |  | ) |

| Constructor.

template<class ID_TYPE>
TAO_Notify_ID_Pool< ID_TYPE >::~TAO_Notify_ID_Pool | ( |  | ) |

| Destructor.

## Member Function Documentation

template<class ID_TYPE>
ID_TYPE TAO_Notify_ID_Pool< ID_TYPE >::get | ( | void |  | ) |

| Returns the current id.

template<class ID_TYPE>
void TAO_Notify_ID_Pool< ID_TYPE >::next | ( | void |  | ) |

| The current id is moved to the active_list_.

template<class ID_TYPE>
void TAO_Notify_ID_Pool< ID_TYPE >::put | ( | ID_TYPE | id | ) |

| Return the id back.

## Member Data Documentation

template<class ID_TYPE>
ACE_Unbounded_Set<ID_TYPE> TAO_Notify_ID_Pool::active_list_`[protected]`

| List of ids currently in use by clients of this class.

template<class ID_TYPE>
ID_TYPE TAO_Notify_ID_Pool::id_`[protected]`

| The next available id.

The documentation for this class was generated from the following files:

- Notify_ID_Pool_T.h
- Notify_ID_Pool_T.cpp